Create a mailing request
curl --request POST \
--url https://postal.platform.arb.inc/mailings/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'parameters={"mailType":"certified","mailingConfig":{},"idempotencyKey":"2720f109-0caf-4c62-af22-5d08c853711c","recipient":{"name":"John Doe","address":"123 Main St","city":"New York","state":"NY","zipcode":"10001"}}' \
--form pdf='@example-file'import requests
url = "https://postal.platform.arb.inc/mailings/create"
files = { "pdf": ("example-file", open("example-file", "rb")) }
payload = { "parameters": "{\"mailType\":\"certified\",\"mailingConfig\":{},\"idempotencyKey\":\"2720f109-0caf-4c62-af22-5d08c853711c\",\"recipient\":{\"name\":\"John Doe\",\"address\":\"123 Main St\",\"city\":\"New York\",\"state\":\"NY\",\"zipcode\":\"10001\"}}" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('parameters', '{"mailType":"certified","mailingConfig":{},"idempotencyKey":"2720f109-0caf-4c62-af22-5d08c853711c","recipient":{"name":"John Doe","address":"123 Main St","city":"New York","state":"NY","zipcode":"10001"}}');
form.append('pdf', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://postal.platform.arb.inc/mailings/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a79f3a6b-3fa8-4007-b9b7-824cb8ca7031"
}"Mailing already exists""PDF is too large"mailings
Create a mailing request
Creates a mailing with PDF attachment to be delivered to a recipient address. Accepts a multipart form with mailing parameters and PDF file. Requires postal.mail.sender permission.
POST
/
mailings
/
create
Create a mailing request
Authorizations
access token
Body
multipart/form-data
JSON-encoded object containing mailing parameters
Example:
"{\"mailType\":\"certified\",\"mailingConfig\":{},\"idempotencyKey\":\"2720f109-0caf-4c62-af22-5d08c853711c\",\"recipient\":{\"name\":\"John Doe\",\"address\":\"123 Main St\",\"city\":\"New York\",\"state\":\"NY\",\"zipcode\":\"10001\"}}"
PDF file to be mailed (maximum 10 MiB)
Response
Mailing successfully queued for delivery
Unique identifier for the created mailing
Example:
"a79f3a6b-3fa8-4007-b9b7-824cb8ca7031"
⌘I